import java.util.Random;
import java.util.Scanner;

public class BasicTest {
    public static Scanner scan = new Scanner(System.in);
    public static Random random = new Random();

    public static void main(String[] args) throws Exception {
        // if & random
        System.out.println("if & random");
        int num = random.nextInt(201) - 100; // -100 ~ 100
        if (num > 0) {
            System.out.println("The number " + num + " is positive.");
        } else if (num < 0) {
            System.out.println("The number " + num + " is negative.");
        } else {
            System.out.println("The number " + num + " is zero.");
        }

        System.out.println("for, while, do-while");
        // for
        for (int i = 0; i < 5; i++) {
            System.out.println("i=" + i);
        }
        // while
        int j = 0;
        while (j < 5) {
            System.out.println("j=" + j);
            j++;
        }
        // do-while
        int k = 0;
        do {
            System.out.println("k=" + k);
            k++;
        } while (k < 5);

        // break (0~4)
        System.out.println("break");
        int x = 0;
        while (true) {
            if (x >= 5)
                break;
            System.out.println("x=" + x);
            x++;
        }
		
        // continue (0~4)
        System.out.println("continue");
		int y = 0;
		while (y < 5) {
			y++; // (1~5)
			if (y % 2 == 1) // odd number
				continue;
			System.out.println("y=" + y); // print even number
		}
		
        // for-each
        System.out.println("for-each int[]");
        int[] numbers = {1, 2, 3, 4, 5};
        System.out.println("Printing array elements using for-each loop:");
        for (int number : numbers) {
            System.out.println(number);
        }
        System.out.println("for-each char[]");
		char[] ops = {'+', '-', '*', '/', '^'}; // char array
		for (char op : ops) {
			System.out.println(op);
		}
		
        // for-for
        System.out.println("for-for");
        double width = 1.0;
        double height = 1.0;
		for (width = 1.0; width <= 5.0; width += 0.5) {
			for (height = 1.0; height <= 10.0; height += 0.5) {
                System.out.printf("width=%.3f height=%.3f\n", width, height);
			}
		}

        // if & for
        System.out.println("if-for");
        for (int i = 0; i < 5; i++) {			
            int roll = random.nextInt(6) + 1;
            if (roll == 6) {
                System.out.println("re-rolling!"); 
                continue;
            }
            System.out.println("roll number is " + roll);
        }

        // switch & for
        System.out.println("switch-for");
        for (int month = 1; month <= 12; month++) {
            int days = 31;
            switch (month) {
            case 1: case 3: case 5: case 7: case 8: case 10: case 12:
                days = 31;
                break;
            case 4: case 6: case 9: case 11:
                days = 30;
                break;
            case 2:
                days = 28; // Assuming non-leap year by default
                break;
            default:
                System.out.println("Invalid month number entered.");
                break; 
            }
            System.out.println(month + " month has " + days + " days.");
        } 
    }
}
